diff --git a/src/bin/psql/command.c b/src/bin/psql/command.c
index e5cf5ff..1e6e207 100644
--- a/src/bin/psql/command.c
+++ b/src/bin/psql/command.c
@@ -1561,12 +1561,12 @@ do_connect(char *dbname, char *user, char *host, char *port)
 		values[2] = user;
 		keywords[3] = "password";
 		values[3] = password;
-		keywords[4] = "dbname";
-		values[4] = dbname;
-		keywords[5] = "fallback_application_name";
-		values[5] = pset.progname;
-		keywords[6] = "client_encoding";
-		values[6] = (pset.notty || getenv("PGCLIENTENCODING")) ? NULL : "auto";
+		keywords[4] = "client_encoding";
+		values[4] = (pset.notty || getenv("PGCLIENTENCODING")) ? NULL : "auto";
+		keywords[5] = "dbname";
+		values[5] = dbname;
+		keywords[6] = "fallback_application_name";
+		values[6] = pset.progname;
 		keywords[7] = NULL;
 		values[7] = NULL;
 
diff --git a/src/bin/psql/startup.c b/src/bin/psql/startup.c
index 71829eb..b142080 100644
--- a/src/bin/psql/startup.c
+++ b/src/bin/psql/startup.c
@@ -183,14 +183,14 @@ main(int argc, char *argv[])
 		values[2] = options.username;
 		keywords[3] = "password";
 		values[3] = password;
-		keywords[4] = "dbname";
-		values[4] = (options.action == ACT_LIST_DB &&
+		keywords[4] = "client_encoding";
+		values[4] = (pset.notty || getenv("PGCLIENTENCODING")) ? NULL : "auto";
+		keywords[5] = "dbname";
+		values[5] = (options.action == ACT_LIST_DB &&
 					 options.dbname == NULL) ?
 			"postgres" : options.dbname;
-		keywords[5] = "fallback_application_name";
-		values[5] = pset.progname;
-		keywords[6] = "client_encoding";
-		values[6] = (pset.notty || getenv("PGCLIENTENCODING")) ? NULL : "auto";
+		keywords[6] = "fallback_application_name";
+		values[6] = pset.progname;
 		keywords[7] = NULL;
 		values[7] = NULL;
 
